%define major 1
%define name openCOLLADA
%define ver	0.1
%define svnrel	871
%define version %{ver}
%define rel	2
%define release %mkrel %rel -c svn%{svnrel}
 
Summary:        Collada 3D import and export libraries
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        MIT
URL:            http://www.opencollada.org/
Group:          Development/Libraries
Source0:        %{name}-svn%{svnrel}.tar.xz
Source1:        Changelog
Patch0:         %{name}-svn863-cmake.patch
Patch1:         %{name}-svn863-libs.patch
Patch2:         %{name}-smp_build.patch
Patch3:         %{name}-svn871-memcpy.patch
BuildRequires:  dos2unix
BuildRequires:  fftw-devel
BuildRequires:  pcre-devel
BuildRequires:  cmake
BuildRequires:  zlib-devel
BuildRequires:  libxml2-devel

%description 
COLLADA is a royalty-free XML schema that enables digital asset
exchange within the interactive 3D industry.
OpenCOLLADA is a Google summer of code opensource project providing
libraries for 3D file interchange between applications like blender.
COLLADABaseUtils          Utils used by many of the other projects
COLLADAFramework          Datamodel used to load COLLADA files
COLLADAStreamWriter       Sources (Library to write COLLADA files)
COLLADASaxFrameworkLoader Library that loads COLLADA files in a sax
                          like manner into the framework data model
COLLADAValidator          XML validator for COLLADA files, based on
                          the COLLADASaxFrameworkLoader
GeneratedSaxParser        Library used to load xml files in the way
                          used by COLLADASaxFrameworkLoader



%package        devel
Summary:        Include files for openCOLLADA development
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the include files necessary to build and
develop with the %{name} export and import libraries.


%prep
%setup -q -n %{name}-svn%{svnrel}
%patch0 -p1 -b .cmake
%patch1 -p1 -b .libs
%patch2 -p1 -b .smp
%patch3 -p1 -b .memcpy

# Remove unused bundled libraries
rm -rf Externals/{Cg,expat,lib3ds,LibXML,MayaDataModel,pcre,zlib,zziplib}

# Add some docs, need to fix eol encoding with dos2unix in some files.
find ./ -name .project -delete
cp -pf COLLADAStreamWriter/README README.COLLADAStreamWriter
cp -pf COLLADAStreamWriter/LICENSE ./

iconv -f ISO_8859-1 -t utf-8 COLLADAStreamWriter/AUTHORS > \
  COLLADAStreamWriter/AUTHORS.tmp
touch -r COLLADAStreamWriter/AUTHORS COLLADAStreamWriter/AUTHORS.tmp
mv COLLADAStreamWriter/AUTHORS.tmp COLLADAStreamWriter/AUTHORS

dos2unix -f -k README.COLLADAStreamWriter
dos2unix -f -k LICENSE
dos2unix -f -k README
find htdocs/ -name *.php -exec dos2unix -f {} \;
find htdocs/ -name *.css -exec dos2unix -f {} \;

# Install Changelog
install -p -m 0644 %{S:1} ./

%build
%cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr \
 -DUSE_STATIC=OFF \
 -DUSE_SHARED=ON \
 -Dsoversion=%{major} \
 -DCMAKE_SKIP_RPATH=ON \
 -DCMAKE_BUILD_TYPE="RelWithDebInfo" 


%make 


%install
rm -rf %{buildroot}
%makeinstall_std -C build


# install binary
mkdir -p %{buildroot}%{_bindir}/
install -p -m 755 build/bin/* %{buildroot}%{_bindir}/

# install xtra headers
mkdir -p %{buildroot}%{_includedir}/MathMLSolver
cp -a Externals/MathMLSolver/include/* %{buildroot}%{_includedir}/MathMLSolver/

# install libs
mkdir -p %{buildroot}%{_libdir}/
install -p -m 755 build/lib/lib*.so %{buildroot}%{_libdir}/

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README LICENSE README.COLLADAStreamWriter COLLADAStreamWriter/AUTHORS Changelog
%{_libdir}/lib*.so.%{major}


%files devel
%defattr(-,root,root,-)
%doc htdocs/
%{_bindir}/*
%{_libdir}/lib*.so
%{_includedir}/*



%changelog
* Wed Nov 06 2013 billybot <billybot> svn871-2pclos2013
- rebuild for new pcre

* Sun Oct 07 2012 Neal <nealbrks0 at gmail dot com> svn871-1pclos2012
- process

* Sat Oct 06 2012 Ken <lxgator@gmail.com> svn871-1pclos2012
- initial pkg
